()

NAME
pmem2_config_set_length() - set length in the pmem2_config structure

SYNOPSIS

        #include <libpmem2.h>
        struct pmem2_config;
        int pmem2_config_set_length(struct pmem2_config *config, size_t length);

DESCRIPTION
The pmem2_config_set_length() function configures the length which will be used for mapping. *config should be already initialized, please see pmem2_config_new(3) for details. The must be a multiple of the alignment required for the data source which will be used for mapping alongside the config. To retrieve the alignment required for specific instance of pmem2_source** use pmem2_source_alignment(3). By default, the length is equal to the size of the file that is being mapped.

RETURN VALUE
The pmem2_config_set_length() function always returns 0.

SEE ALSO
libpmem2(7), pmem2_map_new(3), pmem2_source_alignment(3), pmem2_config_new(3), sysconf(3) and https://pmem.io